<?php

class Frontend_Shortcode_Candidate {
    
    static $fields = array(
        'id' => array(
            'field' => 'guid',
        ),
        'availability' => array(
            'field' => 'availableFrom',
            'title' => 'CxPortal.message.field.availableFrom',
        ),
        'function_name' => array(
            'field' => 'functionName',
            'title' => 'CxPortal.message.field.functionName',
        ),
        'full_name' => array(
            'field' => 'name',
        ),
        'first_name' => array(
            'field' => 'firstName',
            'title' => 'general.message.field.firstName',
        ),
        'last_name' => array(
            'field' => 'lastName',
            'title' => 'general.message.field.lastName',
        ),
        'initials' => array(
            'field' => 'initials',
            'title' => 'general.message.field.initials',
        ),
        'location' => array(
            'field' => 'location',
            'title' => 'general.message.field.location',
        ),
        'desired_salary' => array(
            'field' => 'desiredSalary',
        ),
        'professional_skills' => array(
            'field' => 'skills',
            'title' => 'general.header.skills'
        ),
        'experience' => array(
            'field' => 'experience',
            'title' => 'general.message.field.experience',
        ),
        'age' => array(
            'field' => 'age',
            'title' => 'general.message.field.age',
        ),
        'gender' => array(
            'field' => 'gender',
            'title' => 'general.message.field.gender',
        ),
        'evaluation' => array(
            'field' => 'reviewInfo',
            'title' => 'CxPortal.message.field.evaluation'
        )
    );
    
    
    public function __construct() {
        
    }

    public function run($params, $content, $tag) 
    {
        ob_start();
        $field = str_replace('cx_candidate_', '', $tag);
        
        $value = $this->getContent(self::$fields[$field]['field']);
        
        if($value) {
            if(isset($params['title']))
            {
                $title = $params['title'];
                if($title == '-') $title = false;
            }
            else 
            {
                $title = $this->getTitle($field);
            }

            $tag = 'p';
            if(isset($params['container'])) $tag = $params['container'];
            
            $class = '';
            
            if($tag == '-') {
                echo $value;
            } else {
                if(isset($params['class'])) $class = $params['class'];
                $body = $this->surround($tag, $value, $class);
            }
            
            
            if($title) echo '<h4 class="cx_h4">'.$title.'</h4>';
            
            echo $body;
        }
        
        $out = ob_get_contents();
        ob_clean();
        return $out;
    }
    
    private function getTitle($field)
    {
        $title = '';
        if(isset(self::$fields[$field]['title'])) 
        {
            $title = self::$fields[$field]['title'];
            $labels = Utils_Labels::get();
            return $labels[$title];
        }
        return $title;
    }

    private function surround($tag, $value, $class)
    {
        return "<$tag class='$class'>$value</$tag>";
    }

    private function getContent($field) {
        
        
        global $post;
        $postID = $post->ID;
        
        $value = nl2br(get_post_meta($postID, $field, true));
        
        $link = '';
        if($field == 'location') {
            
            $term = get_term_by('name', $value, WP_Constants::TAXONOMY_WORKLOCATION);
            $link = get_term_link($term->term_id, WP_Constants::TAXONOMY_WORKLOCATION);
        }
        if(!($link instanceof WP_Error)) {
            if($link) {
                $value = "<a href='$link'>$value</a>";
            }
            
        }
        
        return $value;
    }
}